Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mysql.jdbc
Class CallableStatement.CallableStatementParam

    java.lang.Object
      com.mysql.jdbc.CallableStatement.CallableStatementParam

Enclosing class:
  CallableStatement

    protected static class CallableStatement.CallableStatementParam

extends java.lang.Object

Field Summary
`(package private) int` | `desiredJdbcType`
`(package private) int` | `index`
`(package private) int` | `inOutModifier`
`(package private) boolean` | `isIn`
`(package private) boolean` | `isOut`
`(package private) int` | `jdbcType`
`(package private) short` | `nullability`
`(package private) java.lang.String` | `paramName`
`(package private) int` | `precision`
`(package private) int` | `scale`
`(package private) java.lang.String` | `typeName`

Constructor Summary
`CallableStatement.CallableStatementParam(java.lang.String name, int idx, boolean in, boolean out, int jdbcType, java.lang.String typeName, int precision, int scale, short nullability, int inOutModifier)`

Method Summary
`protected java.lang.Object` | `clone()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### desiredJdbcType

    int desiredJdbcType

### index

    int index

### inOutModifier

    int inOutModifier

### isIn

    boolean isIn

### isOut

    boolean isOut

### jdbcType

    int jdbcType

### nullability

    short nullability

### paramName

    java.lang.String paramName

### precision

    int precision

### scale

    int scale

### typeName

    java.lang.String typeName

Constructor Detail

### CallableStatement.CallableStatementParam

    CallableStatement.CallableStatementParam(java.lang.String name,
                                             int idx,
                                             boolean in,
                                             boolean out,
                                             int jdbcType,
                                             java.lang.String typeName,
                                             int precision,
                                             int scale,
                                             short nullability,
                                             int inOutModifier)

Method Detail

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD